compact1, compact2, compact3
java.security.interfaces

## Interface RSAKey

- All Known Subinterfaces:
    RSAMultiPrimePrivateCrtKey, RSAPrivateCrtKey, RSAPrivateKey, RSAPublicKey

      public interface RSAKey

  The interface to a public or private key in PKCS#1 v2.2 standard, such as those for RSA, or RSASSA-PSS algorithms.
  Since:
    1.3
  See Also:
    `RSAPublicKey`, `RSAPrivateKey`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigInteger` | `getModulus()` Returns the modulus.
    `default AlgorithmParameterSpec` | `getParams()` Returns the parameters associated with this key.

- - ### Method Detail

    - #### getModulus

          BigInteger getModulus()

      Returns the modulus.
      Returns:
        the modulus

    - #### getParams

          default AlgorithmParameterSpec getParams()

      Returns the parameters associated with this key. The parameters are optional and may be either explicitly specified or implicitly created during key pair generation.
      Implementation Requirements:
        The default implementation returns `null`.
      Returns:
        the associated parameters, may be null
      Since:
        8

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2020, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.